// 3dMath.cpp
//
// Copyright (c) Nigel Thompson 1996
//
// Implementation for:
// PointInPolygon
//

#include "stdafx.h"
#include "3dplus.h"

BOOL _3dPointInPolygon(POINT* Points, int nPoints,
					   CPoint pt)
{
	HRGN hrgn = ::CreatePolygonRgn(Points, nPoints,
		                           WINDING);
	ASSERT(hrgn);
	BOOL b = ::PtInRegion(hrgn, pt.x, pt.y);
	::DeleteObject(hrgn);
	return b;
}

